/*   This file is part of Xsltop.
*
*    Xsltop is free software: you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation.
*
*    Xsltop is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY.  See the
*    GNU General Public License for more details.
*
*    See <http://www.gnu.org/licenses/>.
*/
package xsltop.xml;

import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.helpers.DefaultHandler;

class XsltopHandler extends DefaultHandler {
	
	/**
	 * Gets the format message.
	 * 
	 * @param pException the exception
	 * 
	 * @return the format message
	 */
	private String getFormatMessage(final SAXParseException pException) {		
		return new String(pException.getMessage()
		+ " at line: " + pException.getLineNumber()
		+ " at column: " + pException.getColumnNumber());
	}
	/**
	 * {@inheritDoc}
	 */	
	public void warning(final SAXParseException pException) throws SAXException {
		throw new SAXException(getFormatMessage(pException));
	}
	/**
	 * {@inheritDoc}
	 */
	public void error(final SAXParseException pException) throws SAXException {
		throw new SAXException(getFormatMessage(pException));
	}
	/**
	 * {@inheritDoc}
	 */
	public void fatalError(final SAXParseException pException) 
													throws SAXException {
		throw new SAXException(getFormatMessage(pException));
	}
}
